<?php
/**
 * @license GNU/GPLv3
 * @author LiveChat <support@livechatinc.com>
 */
defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

class JFormFieldLclogin extends JFormField
{
    protected $type = 'scripts';
    protected function getLabel()
    {
        return '<p id="livechat_account-lbl">' . JText::_('PLG_VIRTUEMARTLIVECHAT_ACCOUNT') . '</p>';
    }

    protected function getInput()
    {
        $lc_login = $this->form->getValue('livechat_login', 'params');
        $lc_license = $this->form->getValue('livechat_license', 'params');

        if ($lc_login && $lc_license) {
            $html_acc = '
			<div id="livechat-login-using" class="move-left">' . JText::sprintf("PLG_VIRTUEMARTLIVECHAT_USEACC", $lc_login) . '</div>
			';
            $hidden = 'hidden';
        } else {
            $html_acc = "
			<script type=\"text/javascript\">
			jQuery( document ).ready(function() {
				jQuery('#jform_params_livechat_cart-lbl').addClass('hidden');
				jQuery('#jform_params_livechat_hide_on_mobile-lbl').addClass('hidden');
				jQuery('#jform_params_livechat_disable_sounds_for_visitor-lbl').addClass('hidden');
				jQuery('#jform_params_livechat_cart_chzn').addClass('hidden');
				jQuery('#jform_params_livechat_hide_on_mobile').addClass('hidden');
				jQuery('#jform_params_livechat_disable_sounds_for_visitor').addClass('hidden');
				jQuery('#jform_params_livechat_reset-lbl').addClass('hidden');
				jQuery('#livechat_delete_settings').addClass('hidden');
				jQuery('#livechat_account-lbl').addClass('hidden');
			});
			</script>
			";
        }

        $html = '
		<div id="livechat-login-container" class="move-left ' . $hidden . '">

			<div class="custom-livechat-login-button active-livechat-button">
				<a href="https://my.livechatinc.com/signup?utm_source=virtuemart.net&utm_medium=integration&utm_campaign=virtuemart_plugin" target="_blank">' . JText::_('PLG_VIRTUEMARTLIVECHAT_CREATE') . '</a>
			</div>
			<p id="login_separator_text">' . JText::_('PLG_VIRTUEMARTLIVECHAT_OR') . '</p>
			<div id="livechat_login_iframe">
				<iframe id="login-with-livechat" class="livechat-login" src="https://addons.livechatinc.com/sign-in-with-livechat/virtuemart" scrolling="no"> </iframe>
			</div>
			<div class="custom-livechat-login-button hidden">
				<a href="#">
				' . JText::_('PLG_VIRTUEMARTLIVECHAT_SAVING') . '
				</a>
			</div>
		</div>
		' . $html_acc;

        return $html;
    }
}
